org.deidentifier.arx.gui.model

## Class ModelClassification

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelClassification

All Implemented Interfaces:
  java.io.Serializable

    public class ModelClassification
    extends java.lang.Object
    implements java.io.Serializable

This class represents a model

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelClassification()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ARXClassificationConfiguration<?>` `getCurrentConfiguration()` Returns the current classification configuration
`ARXFeatureScaling` `getFeatureScaling()` Returns the feature scaling
`ClassificationConfigurationLogisticRegression` `getLogisticRegressionConfiguration()` Returns a logistic regression configuration for ARX
`ClassificationConfigurationNaiveBayes` `getNaiveBayesConfiguration()` Returns a naive bayes configuration for ARX
`ClassificationConfigurationRandomForest` `getRandomForestConfiguration()` Returns a random forest configuration for ARX
`boolean` `isModified()` Is this model or one of the configurations modified
`void` `setCurrentConfiguration(ARXClassificationConfiguration<?> configCurrent)` Sets the current classification configuration.
`void` `setDeterministic(java.lang.Boolean t)` TODO: Ugly hack to set base-parameters for all methods
`void` `setMaxRecords(java.lang.Integer t)` TODO: Ugly hack to set base-parameters for all methods
`void` `setNumFolds(java.lang.Integer t)` TODO: Ugly hack to set base-parameters for all methods
`void` `setScalingFunction(java.lang.String attribute, java.lang.String function)` Sets a feature scaling function
`void` `setUnmodified()` Set this model and all configurations unmodified
`void` `setVectorLength(java.lang.Integer t)` TODO: Ugly hack to set base-parameters for all methods

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelClassification

    public ModelClassification()

### Method Detail

#### getCurrentConfiguration

    public ARXClassificationConfiguration<?> getCurrentConfiguration()

Returns the current classification configuration

Returns:

#### getFeatureScaling

    public ARXFeatureScaling getFeatureScaling()

Returns the feature scaling

Returns:

#### getLogisticRegressionConfiguration

    public ClassificationConfigurationLogisticRegression getLogisticRegressionConfiguration()

Returns a logistic regression configuration for ARX

Returns:

#### getNaiveBayesConfiguration

    public ClassificationConfigurationNaiveBayes getNaiveBayesConfiguration()

Returns a naive bayes configuration for ARX

Returns:

#### getRandomForestConfiguration

    public ClassificationConfigurationRandomForest getRandomForestConfiguration()

Returns a random forest configuration for ARX

Returns:

#### isModified

    public boolean isModified()

Is this model or one of the configurations modified

Returns:

#### setCurrentConfiguration

    public void setCurrentConfiguration(ARXClassificationConfiguration<?> configCurrent)

Sets the current classification configuration.

Parameters:
  `configCurrent` -

#### setDeterministic

    public void setDeterministic(java.lang.Boolean t)

TODO: Ugly hack to set base-parameters for all methods

Parameters:
  `t` -

#### setMaxRecords

    public void setMaxRecords(java.lang.Integer t)

TODO: Ugly hack to set base-parameters for all methods

Parameters:
  `t` -

#### setNumFolds

    public void setNumFolds(java.lang.Integer t)

TODO: Ugly hack to set base-parameters for all methods

Parameters:
  `t` -

#### setScalingFunction

    public void setScalingFunction(java.lang.String attribute,
                                   java.lang.String function)

Sets a feature scaling function

Parameters:
  `attribute` -
  `function` -

#### setUnmodified

    public void setUnmodified()

Set this model and all configurations unmodified

#### setVectorLength

    public void setVectorLength(java.lang.Integer t)

TODO: Ugly hack to set base-parameters for all methods

Parameters:
  `t` -